'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = breadboardBabelTransform;

var _buble = require('buble');

function breadboardBabelTransform(source, filename) {
  var transformed = void 0;

  try {
    var output = (0, _buble.transform)(source, {
      // Set the input filename for the source map
      source: 'breadboard://' + filename
    });

    output.map.sources[0] = 'breadboard://' + filename;

    transformed = output.code;
    transformed += '\n//# sourceMappingURL=' + output.map.toUrl();
    transformed += '\n//# sourceURL=breadboard://' + filename;
  } catch (e) {
    return e;
  }

  return transformed;
}